Bank Woori Saudara bugs - Bug #3268

[ESS-Address]perbaikan pada ess address dimana jika address type nya sama, maka data yang akan
masuk ke master data hanya update saja. tetapi jika address type nya berbeda dengan data yang
sudah ada di master data address, maka insert dengan data baru.

12/06/2024 02:14 PM - Muhammad Bintar

Status: QA Test Start date: 12/06/2024
Priority: Normal Due date: 12/10/2024

Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 7.00 hours
Description

dear tim developer mohon support nya untuk perbaikan pada ess address dimana jika address type nya sama, maka data yang akan
masuk ke master data hanya update saja. tetapi jika address type nya berbeda dengan data yang sudah ada di master data address,
maka insert dengan data baru.
MinovaES_BWS BaseServerBWS_Prod

History

#1 - 12/06/2024 03:10 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 12/09/2024 10:52 AM - Muhammad Bintar
- File clipboard-202412091051-kvpqe.png added

update:
winaow  Help
RRee  taa|9-c-| 8| -5 - mp - B[] [B] chngeper | b |t E
| | | | | % .
MINOVAIS-SERVERT...- dbo.PHRPADDDG MINOVAIS-SERVE....PCMEPMDCONSLUBE MINOVAIS-SERVER...bo PCMWFDEFTASK = X_
Column Alias Table Outp... Sort Type Sort Order Filter Or... Or...
0.6- sa) BizFlowlD PCWWFD...
3 TaskiD PCMWFD... | = 'proc_data_PHRPADDDE'
MajerVersion PCMWFD...
MinorVersion PCMWFD...
RevisionVersion PCMWFD...
BuildVersion PCMWFD...
WFStartDate PCMWED...
WFEndDate PCWWFD...
Sequence PCMWFD...
Active PCMWFD...
Tarlehlamm R R MATET ]
ProcessWSDL... CrossBizFlowlD ProcesslsFixCr...  ProcessWSDL..  ProcessWSDLP... Generatell ControllerMame  ValidationFuhc.. ProcessType|
NULL NULL NULL NULL NULL NULL NULL NULL U
b NULL NULL NULL NULL NULL NULL NULL NULL NULL

sudah di coba di ganti process type nya dari C ke U, tapi ada error
proc_data_ PHRPA0006-Update_ PHRPAQ006_1 The variable name '@Sequence' has already been declared. Variable names must be unique within

a query batch or stored procedure.
Must declare the scalar variable "@EmployeelD_new". - MinovalS.MinovaES.Business.WorkFlow

#3 - 12/13/2024 03:25 PM - M Azid Wahyudi

catatan buat developer :
ini di deftask prosestype di NULL aja dan di tambahkan kondisi untuk membuat logic time constrain dan juga update

#4 - 12/16/2024 03:41 PM - Kezia Pawitra Yulianti
pls cek untuk time constraint nya ya
PCMEPMDCON dan PCMEPMDCONSUB
sesuaikan dgn tipe dari masing2 address type nya
#5 - 12/19/2024 02:37 PM - M Azid Wahyudi

- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , tolong buatkan kondisi timeconstraint sebelum posting dan juga tolong tambahkan field 'DataFlag' seperti contoh2 di ess personal data
dll

makasih
#6 - 12/20/2024 11:41 AM - Regina Tasya

sudah ya kak azid untuk settingan :

settingan penambahan task: cond_timeconstraint : defflow, defftask, taskcon,defbizdata,

dataflag : di sdatatablefield

#7 - 12/20/2024 11:41 AM - Regina Tasya
- Assignee changed from Regina Tasya to M Azid Wahyudi

#8 - 12/23/2024 11:38 AM - M Azid Wahyudi
- File clipboard-202412231138-elzqc.png added
- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , tolong di test yaa kebutuhan product untuk semua client nextnya

package :
custparam (timeconsESS)
fieldpos // untuk yang primarykey di tambahin settingan ori_new_key
#9 - 12/27/2024 05:09 PM - Regina Tasya

- Assignee changed from Regina Tasya to Muhammad Bintar

SUdah di test

#10 - 12/30/2024 10:36 AM - Regina Tasya
